org.firebirdsql.gds.ng

## Enum CursorFlag

- java.lang.Object
- - java.lang.Enum<CursorFlag>
  - - org.firebirdsql.gds.ng.CursorFlag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CursorFlag>

      public enum CursorFlag
      extends java.lang.Enum<CursorFlag>

  Cursor flags.
  Since:
    5
  Author:
    Mark Rotteveel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CURSOR_TYPE_SCROLLABLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `flagValue()`
    `static CursorFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CursorFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CURSOR_TYPE_SCROLLABLE

          public static final CursorFlag CURSOR_TYPE_SCROLLABLE

  - ### Method Detail

    - #### values

          public static CursorFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CursorFlag c : CursorFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CursorFlag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### flagValue

          public int flagValue()

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.